/*
VideoToolbox.c
Use this file to ask your compiler to precompile the VideoToolbox.h header. 
(If your aim is to produce an external code resource for MATLAB then use 
VideoToolboxMATLAB.c instead of this file.) Put all the pre-compiled headers in
"VideoToolbox:VideoToolboxSources: Precompiled headers". 

Here's my naming convention for pre-compiled headers:
"VideoToolbox.pre" = THINK C, 68k, 2-byte int, "universal" floating point (works w or w/o 8881 fpu).
"VideoToolbox.68k.4i.f.pre" = CodeWarrior, 68k, 4-byte int, 12-byte double for 8881.
"VideoToolbox.68k.4i.pre" = CodeWarrior, 68k, 4-byte int, 10-byte double for no fpu.
"VideoToolbox.ppc.pre" = CodeWarrior, PowerPC, necessarily 4-byte int and 8-byte double.

INSTRUCTIONS:
While you have this file open, select Precompile from CodeWarrior's Project menu
or THINK Cs Source menu. Save the result as "VideoToolbox.68k.4i.881.pre" (or
whatever is appropriate, see above) in the "VideoToolbox:VideoToolboxSources:
Precompiled headers" folder. You can then speed up the compilation of any
project roughly tenfold by typing "VideoToolbox.68k.4i.881.pre" (or whichever
prefix file you prefer) into the CodeWarrior Prefix file field of the Language
preferences. Or, in THINK C, type the line
	#include "VideoToolbox.pre"
into the Edit:Options:THINK C:Prefix window. 

Note that Precompilation ignores the prefix.

Unfortunately none of the compilers check whether a precompiled header is out of
date. If you update any of the Apple, Standard C, or VideoToolbox.h headers,
then you should recreate the precompiled header. Also, the precompiled header
will reflect the compiler and language settings in effect at the time of
precompilation (e.g. size of int and double), so if you have different projects
with different settings then you may need various versions of the precompiled
header.

You can add this file to your project. It won't generate any code or affect your
project in any way. It merely keeps this file handy.

HISTORY:
2/27/93	dgp	Wrote it.
4/22/93	dgp	Updated comments.
9/8/93	dgp	Updated comments.
9/12/93	dgp	Updated comments.
9/15/93	dgp	Updated comments.
10/20/94 dgp Update comments.
*/
//#include "MacHeaders"	// Occasionally included just for debugging purposes
#include "VideoToolbox.h"
